Bug 9831 - kernel 3.8.8 unable to load module i915 (X doesn't start with intel integrated graphics)
: kernel 3.8.8 unable to load module i915 (X doesn't start with intel integrat...
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: RPM Packages
: Cauldron
: x86_64 Linux
: Normal Severity: critical
: ---
Assigned To: Thomas Backlund
:
:
: 5beta1
: NEEDINFO
:
:
  Show dependency treegraph
 
Reported: 2013-04-23 01:23 CEST by Richard Neill
Modified: 2016-02-09 09:46 CET (History)
2 users (show)

See Also:
Source RPM: kernel-desktop-3.8.11-1.mga3-1-1.mga3
CVE:
Status comment:


Attachments
Paul Dufresne's friend journalctl of Live Mageia5 Beta1 Gnome DVD 64b (218.55 KB, text/plain)
2014-11-14 19:02 CET, Paul Dufresne
Details

Description Richard Neill 2013-04-23 01:23:59 CEST
In the latest kernel desktop (3.8.8), X doesn't start. 
I get an error message about the i915 module failing to load.

Indeed a simple "modprobe i915" results in "could not insert i915: no such device". 

My motherboard has Intel integrated graphics in an i7 CPU. I'm running a fully updated caludron as of this moment.

Using 3.3.8, everything is working fine, and the i915 module is loaded.

I'm happy to debug this further for you... please tell me what commands you'd like me to run. 

Reproducible: 

Steps to Reproduce:
Comment 1 Richard Neill 2013-04-23 04:55:27 CEST
I have a little more info.


1. if I boot the kernel with the "safe settings" mode, then the i915 kernel module isn't automatically loaded (lsmod | grep i915 shows nothing), and it cannot be explicitly loaded ("sudo modprobe i915"). Xorg then gets:
"modprobe: ERROR: could not insert 'i915': No such device "
That's what happened in my original report.

2. But if I boot the kernel with the "default" mode, then the i915 module is successfully loaded  (I can see it with lsmod). However, X won't start. The relevant bit or Xorg.0.log suggests a modesetting problem.


[   466.556] (II) intel(0): EDID for output DP2
[   466.556] (II) intel(0): Output VGA1 disconnected
[   466.556] (II) intel(0): Output HDMI1 connected
[   466.556] (II) intel(0): Output DP1 disconnected
[   466.556] (II) intel(0): Output HDMI2 connected
[   466.556] (II) intel(0): Output DP2 disconnected
[   466.556] (II) intel(0): Using exact sizes for initial modes
[   466.556] (II) intel(0): Output HDMI1 using initial mode 1600x1200
[   466.556] (II) intel(0): Output HDMI2 using initial mode 1600x1200
[   466.556] (II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[   466.556] (II) intel(0): Kernel page flipping support detected, enabling
[   466.556] (==) intel(0): DPI set to (96, 96)
[   466.556] (II) Loading sub module "fb"
[   466.556] (II) LoadModule: "fb"
[   466.556] (II) Loading /usr/lib64/xorg/modules/libfb.so
[   466.556] (II) Module fb: vendor="X.Org Foundation"
[   466.556]    compiled for 1.13.4, module version = 1.0.0
[   466.556]    ABI class: X.Org ANSI C Emulation, version 0.4
[   466.556] (II) Loading sub module "dri2"
[   466.556] (II) LoadModule: "dri2"
[   466.556] (II) Module "dri2" already built-in
[   466.556] (==) Depth 24 pixmap format is 32 bpp
[   466.556] (II) intel(0): [DRI2] Setup complete
[   466.556] (II) intel(0): [DRI2]   DRI driver: i965
[   466.556] (II) intel(0): Allocated new frame buffer 1600x1200 stride 6656, tiled
[   466.557] (II) UXA(0): Driver registered support for the following operations:
[   466.557] (II)         solid
[   466.557] (II)         copy
[   466.557] (II)         composite (RENDER acceleration)
[   466.557] (II)         put_image
[   466.557] (II)         get_image
[   466.557] (==) intel(0): Backing store disabled
[   466.557] (==) intel(0): Silken mouse enabled
[   466.557] (II) intel(0): Initializing HW Cursor
[   466.557] (II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[   466.557] (**) intel(0): DPMS enabled
[   466.557] (==) intel(0): Intel XvMC decoder enabled
[   466.557] (II) intel(0): Set up textured video
[   466.557] (II) intel(0): [XvMC] xvmc_vld driver initialized.
[   466.557] (II) intel(0): direct rendering: DRI2 Enabled
[   466.558] (==) intel(0): hotplug detection: "enabled"
[   466.558] (EE) intel(0): failed to set mode: Invalid argument
[   466.558] 
Fatal server error:
[   466.558] AddScreen/ScreenInit failed for driver 0


HTH.
Comment 2 Richard Neill 2013-05-04 00:32:28 CEST
Update: this still affects the latest kernel, 3.8.11-desktop-1.mga3

Is there anything I can do to help here?
Comment 3 Richard Neill 2013-05-04 23:51:37 CEST
One more thing... booting with "nomodeset" does help partly. Now X is willing to start, but it can only start with both screens in "clone" mode, and xrandr can't subsequently change this: it appears as though the GPU has only one output.
Comment 4 Thomas Backlund 2013-05-04 23:55:22 CEST
Can you try kernel-linus-3.8.11 to see if it's an upstream kernel bug or a mga kernel bug
Comment 5 Richard Neill 2013-05-05 00:53:53 CEST
Thanks for your suggestion. I tried it and it still doesn't work with the upstream kernel 3.8.11. 

I also checked: I have no xorg.conf, and xorg.conf.d is empty.

syslog isn't helpful, but there is this in dmesg:

---- dmesg fragment ---


[    6.839533] [drm:intel_crtc_set_config] *ERROR* failed to set mode on [CRTC:3]
[    6.839538] [drm:intel_crtc_set_config] *ERROR* failed to restore config after modeset failure


Here is the end of Xorg.0.log. It shows that the driver is correctly detecting my two monitors (each 1600x1200, one DVI, one HDMI) and then failing to set the mode rightly.


------ xorg.0.log end ---


[     6.805] (II) intel(0): Modeline "640x480"x66.7   30.24  640 704 768 864  480 483 486 525 -hsync -vsync (35.0 kHz e)
[     6.805] (II) intel(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[     6.805] (II) intel(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[     6.830] (II) intel(0): EDID for output DP2
[     6.830] (II) intel(0): Output VGA1 disconnected
[     6.830] (II) intel(0): Output HDMI1 connected
[     6.830] (II) intel(0): Output DP1 disconnected
[     6.830] (II) intel(0): Output HDMI2 connected
[     6.830] (II) intel(0): Output DP2 disconnected
[     6.830] (II) intel(0): Using exact sizes for initial modes
[     6.830] (II) intel(0): Output HDMI1 using initial mode 1600x1200
[     6.830] (II) intel(0): Output HDMI2 using initial mode 1600x1200
[     6.830] (II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[     6.830] (II) intel(0): Kernel page flipping support detected, enabling
[     6.830] (==) intel(0): DPI set to (96, 96)
[     6.830] (II) Loading sub module "fb"
[     6.830] (II) LoadModule: "fb"
[     6.830] (II) Loading /usr/lib64/xorg/modules/libfb.so
[     6.830] (II) Module fb: vendor="X.Org Foundation"
[     6.830]    compiled for 1.13.4, module version = 1.0.0
[     6.830]    ABI class: X.Org ANSI C Emulation, version 0.4
[     6.830] (II) Loading sub module "dri2"
[     6.830] (II) LoadModule: "dri2"
[     6.830] (II) Module "dri2" already built-in
[     6.830] (II) UnloadModule: "vesa"
[     6.830] (II) Unloading vesa
[     6.830] (II) UnloadModule: "fbdev"
[     6.830] (II) Unloading fbdev
[     6.830] (II) UnloadSubModule: "fbdevhw"
[     6.830] (II) Unloading fbdevhw
[     6.830] (==) Depth 24 pixmap format is 32 bpp
[     6.830] (II) intel(0): [DRI2] Setup complete
[     6.830] (II) intel(0): [DRI2]   DRI driver: i965
[     6.830] (II) intel(0): Allocated new frame buffer 1600x1200 stride 6656, tiled
[     6.831] (II) UXA(0): Driver registered support for the following operations:
[     6.831] (II)         solid
[     6.831] (II)         copy
[     6.831] (II)         composite (RENDER acceleration)
[     6.831] (II)         put_image
[     6.831] (II)         get_image
[     6.831] (==) intel(0): Backing store disabled
[     6.831] (==) intel(0): Silken mouse enabled
[     6.831] (II) intel(0): Initializing HW Cursor
[     6.831] (II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[     6.832] (==) intel(0): DPMS enabled
[     6.832] (==) intel(0): Intel XvMC decoder enabled
[     6.832] (II) intel(0): Set up textured video
[     6.832] (II) intel(0): [XvMC] xvmc_vld driver initialized.
[     6.832] (II) intel(0): direct rendering: DRI2 Enabled
[     6.832] (==) intel(0): hotplug detection: "enabled"
[     6.832] (EE) intel(0): failed to set mode: Invalid argument
[     6.832] 
Fatal server error:
[     6.832] AddScreen/ScreenInit failed for driver 0
[     6.832] 
[     6.832] (EE) 
Please consult the The X.Org Foundation support 
         at http://bugs.mageia.org
 for help. 
[     6.832] (EE) 


Let me know what else I should check. Thanks again for your help.
Comment 6 Thomas Backlund 2013-05-06 23:26:12 CEST
Can you test theese 2 kernels and see if any of them helps:


kernel-desktop-3.8.11-1.2.mga3:
http://tmb.mine.nu/Mageia/Cauldron/bugs/intel/test1/
http://tmb2.mine.nu/Mageia/Cauldron/bugs/intel/test1/

kernel-desktop-3.8.11-1.3.mga3:
http://tmb.mine.nu/Mageia/Cauldron/bugs/intel/test2/
http://tmb2.mine.nu/Mageia/Cauldron/bugs/intel/test2/
Comment 7 Richard Neill 2013-05-07 01:44:41 CEST
Thanks very much for your help.

test1 : same problem persists. I can ssh in, and get the Xorg log, and see that the same problem is occurring. As usual, after Grub, there is a brief flash (1/2 second) of early boot messages, then the screens go blank and stay blank.
The kernel can't set the mode.

----- Xorg.0.log last part ----

[     8.307] (II) intel(0): EDID for output DP2
[     8.307] (II) intel(0): Output VGA1 disconnected
[     8.307] (II) intel(0): Output HDMI1 connected
[     8.307] (II) intel(0): Output DP1 disconnected
[     8.307] (II) intel(0): Output HDMI2 connected
[     8.307] (II) intel(0): Output DP2 disconnected
[     8.307] (II) intel(0): Using exact sizes for initial modes
[     8.307] (II) intel(0): Output HDMI1 using initial mode 1600x1200
[     8.307] (II) intel(0): Output HDMI2 using initial mode 1600x1200
[     8.307] (II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[     8.307] (II) intel(0): Kernel page flipping support detected, enabling
[     8.307] (==) intel(0): DPI set to (96, 96)
[     8.307] (II) Loading sub module "fb"
[     8.307] (II) LoadModule: "fb"
[     8.307] (II) Loading /usr/lib64/xorg/modules/libfb.so
[     8.307] (II) Module fb: vendor="X.Org Foundation"
[     8.307]    compiled for 1.13.4, module version = 1.0.0
[     8.307]    ABI class: X.Org ANSI C Emulation, version 0.4
[     8.307] (II) Loading sub module "dri2"
[     8.307] (II) LoadModule: "dri2"
[     8.307] (II) Module "dri2" already built-in
[     8.307] (II) UnloadModule: "vesa"
[     8.307] (II) Unloading vesa
[     8.307] (II) UnloadModule: "fbdev"
[     8.307] (II) Unloading fbdev
[     8.307] (II) UnloadSubModule: "fbdevhw"
[     8.307] (II) Unloading fbdevhw
[     8.307] (==) Depth 24 pixmap format is 32 bpp
[     8.307] (II) intel(0): [DRI2] Setup complete
[     8.307] (II) intel(0): [DRI2]   DRI driver: i965
[     8.307] (II) intel(0): Allocated new frame buffer 1600x1200 stride 6656, tiled
[     8.308] (II) UXA(0): Driver registered support for the following operations:
[     8.308] (II)         solid
[     8.308] (II)         copy
[     8.308] (II)         composite (RENDER acceleration)
[     8.308] (II)         put_image
[     8.308] (II)         get_image
[     8.308] (==) intel(0): Backing store disabled
[     8.308] (==) intel(0): Silken mouse enabled
[     8.308] (II) intel(0): Initializing HW Cursor
[     8.308] (II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[     8.309] (==) intel(0): DPMS enabled
[     8.309] (==) intel(0): Intel XvMC decoder enabled
[     8.309] (II) intel(0): Set up textured video
[     8.309] (II) intel(0): [XvMC] xvmc_vld driver initialized.
[     8.309] (II) intel(0): direct rendering: DRI2 Enabled
[     8.309] (==) intel(0): hotplug detection: "enabled"
[     8.309] (EE) intel(0): failed to set mode: Invalid argument

-----------------------------------------------


test2:  According to the Xorg log, everything is fine. But the monitors still stay off. This kernel also has trouble rebooting gracefully: issuing the "reboot" command from SSH takes forever, and I had to use the reset-button to shut it down. Also, the system doesn't always boot: I tried it 4 times, of which two let me SSH in, and two didn't.


-------------------- Xorg.0.log --------------

[     8.456] (II) intel(0): EDID for output DP2
[     8.456] (II) intel(0): Output VGA1 disconnected
[     8.456] (II) intel(0): Output HDMI1 connected
[     8.456] (II) intel(0): Output DP1 disconnected
[     8.456] (II) intel(0): Output HDMI2 connected
[     8.456] (II) intel(0): Output DP2 disconnected
[     8.456] (II) intel(0): Using exact sizes for initial modes
[     8.456] (II) intel(0): Output HDMI1 using initial mode 1600x1200
[     8.456] (II) intel(0): Output HDMI2 using initial mode 1600x1200
[     8.456] (II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[     8.456] (II) intel(0): Kernel page flipping support detected, enabling
[     8.456] (==) intel(0): DPI set to (96, 96)
[     8.456] (II) Loading sub module "fb"
[     8.456] (II) LoadModule: "fb"
[     8.456] (II) Loading /usr/lib64/xorg/modules/libfb.so
[     8.456] (II) Module fb: vendor="X.Org Foundation"
[     8.456]    compiled for 1.13.4, module version = 1.0.0
[     8.456]    ABI class: X.Org ANSI C Emulation, version 0.4
[     8.456] (II) Loading sub module "dri2"
[     8.456] (II) LoadModule: "dri2"
[     8.456] (II) Module "dri2" already built-in
[     8.456] (II) UnloadModule: "vesa"
[     8.456] (II) Unloading vesa
[     8.456] (II) UnloadModule: "fbdev"
[     8.456] (II) Unloading fbdev
[     8.456] (II) UnloadSubModule: "fbdevhw"
[     8.456] (II) Unloading fbdevhw
[     8.456] (==) Depth 24 pixmap format is 32 bpp
[     8.456] (II) intel(0): [DRI2] Setup complete
[     8.456] (II) intel(0): [DRI2]   DRI driver: i965
[     8.456] (II) intel(0): Allocated new frame buffer 1600x1200 stride 6656, tiled
[     8.457] (II) UXA(0): Driver registered support for the following operations:
[     8.457] (II)         solid
[     8.457] (II)         copy
[     8.457] (II)         composite (RENDER acceleration)
[     8.457] (II)         put_image
[     8.457] (II)         get_image
[     8.457] (==) intel(0): Backing store disabled
[     8.457] (==) intel(0): Silken mouse enabled
[     8.457] (II) intel(0): Initializing HW Cursor
[     8.457] (II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[     8.458] (==) intel(0): DPMS enabled
[     8.458] (==) intel(0): Intel XvMC decoder enabled
[     8.458] (II) intel(0): Set up textured video
[     8.458] (II) intel(0): [XvMC] xvmc_vld driver initialized.
[     8.458] (II) intel(0): direct rendering: DRI2 Enabled
[     8.458] (==) intel(0): hotplug detection: "enabled"
[     8.458] (--) RandR disabled


--------------------------------------------------------------------


Aside: I tried the Fedora 18 LiveCD from the Linux Magazine... that seems to have the same problem: at least, the monitors never turn on, though with a liveCD, I couldn't get the xorg.0 log.
Comment 8 Thomas Backlund 2013-05-07 23:04:20 CEST
Can you also test kernel-desktop-3.8.11-1.5.mga3:

http://tmb.mine.nu/Mageia/Cauldron/bugs/intel/test3/
http://tmb2.mine.nu/Mageia/Cauldron/bugs/intel/test3/
Comment 9 Richard Neill 2013-05-07 23:32:08 CEST
I just did that for you. I'm afraid that test3 doesn't even boot: I get the brief initial kernel message at 80x25 for 1/2 second, then the screen blanks. The machine doesn't get far enough even to be pingable from the local network.

I'm sorry this isn't very helpful - is there any other test I can do for you?
Comment 10 Richard Neill 2013-05-08 19:56:46 CEST
Here are a couple more datapoints for you:

* Linux Mint Debian Live CD. Kernel 3.2.0.4  - works perfectly. Both displays are detected, xrandr works.

* Xubuntu 13.04 (kernel 3.8.0.19) - same problem as above: the displays simply don't come on at all (being a live CD, I can't SSH in). If I boot with "nomodeset", then the displays work - but then I have only a single monitor, and no xrandr.

So, I'm reasonably sure this is an upstream regression in kernels about 3.4 and greater. What next?
Comment 11 Thomas Backlund 2013-05-10 19:32:22 CEST
Can you try 3.8.12-2 ?

it has several fixes for i915
Comment 12 Richard Neill 2013-05-10 20:34:08 CEST
Thanks. Still no luck.

I also tried the kernel 3.9.0 (in the Ubuntu nightly CD image), which is the most recent kernel I could find in a liveCD. That doesn't work either.
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1132766
Comment 13 Thomas Backlund 2013-05-10 20:37:07 CEST
Do you know when the problem started ?

The jump between 3.3.8 and 3.8 is big to bisect..

Have you tried any kernels in between ?
Comment 14 Richard Neill 2013-05-10 20:43:13 CEST
No, I'm afraid I don't. I moved from Mageia 2 to Mageia3, and this is all the information I have. Is it more fruitful to try to bisect the kernels to find out when the bug is, or to try to debug it in more detail with the latest kernel? In either case, how? I'm happy to install other kernels if you can tell me where to find them. Is there a debugging build of kernel 3.9.1 which could help?
Comment 15 Thomas Backlund 2013-05-10 21:50:02 CEST
So... start of regression testing:

There is as 3.4 from mga2 updates_testing and 3.5, 3.6, 3.7 from mga3 alpha/beta sets here to test:

http://tmb.mine.nu/Mageia/Cauldron/bugs/intel/

try them all, and we'll go from there...
Comment 16 Richard Neill 2013-05-10 23:01:20 CEST
Thanks. I've just done those tests for you.
3.5.5.0  and 3.6.5.1  work.  
3.7.0.1 doesn't.
Comment 17 Paul Dufresne 2014-11-14 18:58:14 CET
First I noticed this bug report that goes to find the exact commit that seems to have caused this, and suggest that it is an ACPI bug:
https://bugs.freedesktop.org/show_bug.cgi?id=52404

So this could be related to ACPI being OFF (Safe Settings)

Was here to report that this still affects Mageia5 Beta1 Gnome LiveDVD.
Was trying on a computer, but the same part of initialisation was looping as if SystemD would continually try to start the same service...

So I started in Safe Settings and was able to login in console mode,
and copied the journalctl output on a USB key.
It contains this:
Nov 14 06:55:17 localhost systemd[1]: Started Shorewall IPv6 firewall.
Nov 14 06:55:17 localhost gdm-Xorg-:0[1411]: intel: waited 2020 ms for i915.ko driver to load
Nov 14 06:55:17 localhost gdm-Xorg-:0[1411]: modprobe: ERROR: could not insert 'i915': No such device
Nov 14 06:55:17 localhost gdm-Xorg-:0[1411]: (EE) No devices detected.
Nov 14 06:55:17 localhost gdm-Xorg-:0[1411]: (EE)
Nov 14 06:55:17 localhost gdm-Xorg-:0[1411]: Fatal server error:
Nov 14 06:55:17 localhost gdm-Xorg-:0[1411]: (EE) no screens found(EE)
Comment 18 Paul Dufresne 2014-11-14 19:02:13 CET
Created attachment 5598 [details]
Paul Dufresne's friend journalctl of Live Mageia5 Beta1 Gnome DVD 64b
Comment 19 Samuel Verschelde 2015-05-16 18:52:32 CEST
Is this bug still valid?

If it is, tmb you had started bisecting and in comment #17 Paul Dufresne gave the link to a bug report that could give more information about the issue at hand.
Comment 20 Thomas Backlund 2015-05-16 19:17:48 CEST
Yeah, I've forgot about this one.

the intel driver used not to work with acpi=off as it relies on being able to init acpi parts

but since 3.19.2 it should work even if acpi=off.

So I think it should be fixed.
Comment 21 Samuel Verschelde 2015-05-16 19:20:17 CEST
(In reply to Thomas Backlund from comment #20)
> Yeah, I've forgot about this one.
> 
> the intel driver used not to work with acpi=off as it relies on being able
> to init acpi parts
> 
> but since 3.19.2 it should work even if acpi=off.
> 
> So I think it should be fixed.

Thanks Thomas. Paul, Richard, can you confirm it's ok in Mageia 5 RC?
Comment 22 Nic Baxter 2016-02-09 09:46:02 CET
Hi Richard
You haven't responded to comment 21 so I assume it issue is fixed. I will close this report. If you are still having issues please reopen this report

Note You need to log in before you can comment on or make changes to this bug.